config_misc.h File Reference

Library configuration file. More...

Go to the source code of this file.

## Macros

#define | CRYPTOPP_LITTLE_ENDIAN 1
#define | CRYPTOPP_DATA_DIR ""
#define | CRYPTOPP_SLOW_ARMV8_SHIFT 1
#define | GZIP_OS_CODE 0
#define | CRYPTOPP_UNUSED(x) ((void)(x))
#define | CRYPTOPP_NOINLINE_DOTDOTDOT ...
#define | CRYPTOPP_NOINLINE
#define | CRYPTOPP_STATIC_CONSTEXPR static
#define | CRYPTOPP_CONSTEXPR
#define | CRYPTOPP_CONSTANT(x) static const int x

## Detailed Description

Library configuration file.

`config_misc.h` provides miscellaneous defines.

`config.h` was split into components in May 2019 to better integrate with Autoconf and its feature tests. The splitting occurred so users could continue to include `config.h` while allowing Autoconf to write new `config_asm.h` and new `config_cxx.h` using its feature tests.

Note
  You should include `config.h` rather than `config_misc.h` directly.

See also
  Issue 835, Make config.h more autoconf friendly, Configure.sh script on the Crypto++ wiki

Since
  Crypto++ 8.3

Definition in file config_misc.h.